VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "TelephoneMonitor"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit
Private mTestForm As TestForm
Private WithEvents mwtmrTelephone As Timer
Attribute mwtmrTelephone.VB_VarHelpID = -1
Event TelephoneReady()
Public Enum cfeFormModality
    cfeModal = vbModal
    cfeModeless = vbModeless
End Enum

Public Sub showForm(Optional Modality As cfeFormModality = cfeModal)
    Dim frm As TestForm
    Set frm = New TestForm
    If Modality = cfeModeless Then
        frm.Caption = "TestForm-Modeless"
    Else
        frm.Caption = "TestForm-Modal"
    End If
    frm.Show Modality
End Sub


Private Sub Class_Initialize()
    Set mTestForm = New TestForm
    Load mTestForm
    Set mwtmrTelephone = mTestForm.tmrTelephone
End Sub

Private Sub Class_Terminate()
    Set mwtmrTelephone = Nothing
    Unload mTestForm
    Set mTestForm = Nothing
End Sub

Private Sub mwtmrTelephone_Timer()
    RaiseEvent TelephoneReady
End Sub
